> ## Documentation Index
> Fetch the complete documentation index at: https://docs.supernormal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get posts

> Returns the current user's posts. Default limit is 20.



## OpenAPI

````yaml get /posts
openapi: 3.0.1
info:
  title: Supernormal API
  description: Documentation for the Supernormal API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.supernormal.com/api/v1
security:
  - ApiKeyAuth: []
tags:
  - name: Agents
    description: Operations about agents
  - name: Calendar Events
    description: Operations about calendar
  - name: Posts
    description: Operations about posts
  - name: Current User
    description: Operations about user
paths:
  /posts:
    get:
      tags:
        - Posts
      summary: Get posts
      description: Returns the current user's posts. Default limit is 20.
      parameters:
        - name: limit
          in: query
          description: The number of posts to return. Default is 20. Max is 100
          required: false
          schema:
            type: integer
        - name: offset
          in: query
          description: The number of posts to skip. Default is 0
          required: false
          schema:
            type: integer
        - name: scope
          in: query
          description: >-
            Whether to return posts shared with the current caller or their own
            posts
          required: false
          schema:
            type: string
            enum:
              - latest
              - shared
      responses:
        '200':
          description: Posts response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Post'
      security:
        - ApiKeyAuth:
            - posts:read
components:
  schemas:
    Post:
      type: object
      properties:
        id:
          description: The post’s ID
          type: string
        title:
          description: The post’s title
          type: string
        published_at:
          description: The post’s published at time in ISO 8601 format
          type: string
        summary:
          description: A brief description of the meeting
          type: string
        seen:
          description: Whether the post has been seen by the current caller
          type: boolean
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-TOKEN
      x-scopes:
        user:read: Read user information
        calendar_events:read: Read calendar events
        calendar_events:write: Write calendar events

````